type sched_t
type low_evt
type 'a evt_t = low_evt * 'a ref
type t
val cooperate : unit -> unit
val create_scheduler : unit -> sched_t
val start_scheduler : sched_t -> unit 
val exit : unit -> unit 
val init : unit -> unit 
val suspend_scheduler : sched_t -> unit 
val resume_scheduler : sched_t -> unit 
val unlink : unit -> unit
val link : sched_t -> unit
val link_to : sched_t -> unit
val create_event : 'a -> 'a evt_t
val signal : 'a evt_t -> 'a -> unit
val awaitn : int -> low_evt * 'a ref -> 'a
val create : sched_t -> ('a -> unit) -> 'a -> t
val read_line : unit -> string
val read : Unix.file_descr -> string -> int -> int -> unit -> int
