type sched_t = Fthread.sched_t
exception Migration_forbidden
exception Dynamic_migrate

type migrate_t = (int -> unit) * int
val computer : int ref
val max_nbr : int
val nbr_comp : int ref
val last_comp : int ref
val migrate : int -> unit
val create : (int -> unit) -> int -> unit
val fd_list : Unix.file_descr list ref
val cooperate : unit -> unit
val create_scheduler : unit -> Fthread.sched_t
val suspend_scheduler : Fthread.sched_t -> unit
val resume_scheduler : Fthread.sched_t -> unit
val signal : 'a Fthread.evt_t -> 'a -> unit
val awaitn : int -> Fthread.low_evt * 'a ref -> 'a
val link : Fthread.sched_t -> unit
val exit : unit -> unit
val read_line : unit -> string
val read : Unix.file_descr -> string -> int -> int -> unit -> int
